Subject: The favorable terms and conditions for your business in NNYG

From: Otcbb Alert! <[email-masked]>
Date: Wed, 27 Dec 2006 19:56:01 -0060

REVEL IN NICE PROFIT BY NORTHAMERICAN ENERGY GROUP CORP.(NNYG.PK)!

GET NNYG AFTER CHRISTMAS DO NOT MISS YOUR OPPORTUNITY. IT IS COMING TO BURT!

WE SUGGEST THE NEXT PRICES:

CURRENT_PRICE: $0.024 PERFECT IT UTILIZE! TARGET PRICE IN 1 WEEK: 0.09$

KNOWMORE NEWS ABOUT THIS EXCITING COMPANY USE YOUR BROKERAGE SITE.

WE INSURE YOU THAT YOU CAN DOUBLE YOUR INVESTMENTS WITH US.